org.flexdock.plaf.theme

## Class ButtonUI.ButtonListener

- java.lang.Object
- - javax.swing.plaf.basic.BasicButtonListener
  - - org.flexdock.plaf.theme.ButtonUI.ButtonListener

- All Implemented Interfaces:
    java.awt.event.FocusListener, java.awt.event.MouseListener, java.awt.event.MouseMotionListener, java.beans.PropertyChangeListener, java.util.EventListener, javax.swing.event.ChangeListener
  Enclosing class:
    ButtonUI

      protected static class ButtonUI.ButtonListener
      extends javax.swing.plaf.basic.BasicButtonListener

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `ButtonUI.ButtonListener(javax.swing.AbstractButton b)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `focusGained(java.awt.event.FocusEvent e)`
    `void` | `focusLost(java.awt.event.FocusEvent e)`

    - ### Methods inherited from class javax.swing.plaf.basic.BasicButtonListener

      `checkOpacity, installKeyboardActions, mouseClicked, mouseDragged, mouseEntered, mouseExited, mouseMoved, mousePressed, mouseReleased, propertyChange, stateChanged, uninstallKeyboardActions`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ButtonUI.ButtonListener

          protected ButtonUI.ButtonListener(javax.swing.AbstractButton b)

  - ### Method Detail

    - #### focusGained

          public void focusGained(java.awt.event.FocusEvent e)

      Specified by:
        `focusGained` in interface `java.awt.event.FocusListener`
      Overrides:
        `focusGained` in class `javax.swing.plaf.basic.BasicButtonListener`

    - #### focusLost

          public void focusLost(java.awt.event.FocusEvent e)

      Specified by:
        `focusLost` in interface `java.awt.event.FocusListener`
      Overrides:
        `focusLost` in class `javax.swing.plaf.basic.BasicButtonListener`